package com.zd.laboratory.service;

import java.util.List;

import com.zd.laboratory.domain.LabOnepc;

/**
 * 一体机设备勾选Service接口
 *
 * @author zd
 * @date 2021-08-31
 */
public interface ILabOnepcService {
    /**
     * 查询一体机设备勾选
     *
     * @param id 一体机设备勾选主键
     * @return 一体机设备勾选
     */
    public LabOnepc selectLabOnepcById(Long id);

    /**
     * 查询一体机设备勾选列表
     *
     * @param labOnepc 一体机设备勾选
     * @return 一体机设备勾选集合
     */
    public List<LabOnepc> selectLabOnepcList(LabOnepc labOnepc);

    /**
     * 新增一体机设备勾选
     *
     * @param labOnepc 一体机设备勾选
     * @return 结果
     */
    public int insertLabOnepc(LabOnepc labOnepc);

    /**
     * 修改一体机设备勾选
     *
     * @param labOnepc 一体机设备勾选
     * @return 结果
     */
    public int updateLabOnepc(LabOnepc labOnepc);

    /**
     * 批量删除一体机设备勾选
     *
     * @param ids 需要删除的一体机设备勾选主键集合
     * @return 结果
     */
    public int deleteLabOnepcByIds(Long[] ids);

    /**
     * 删除一体机设备勾选信息
     *
     * @param id 一体机设备勾选主键
     * @return 结果
     */
    public int deleteLabOnepcById(Long id);
}
